package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Xdt;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface XdtMapper {

    int insert(Xdt record);

    int insertSelective(Xdt record);

    int updateByPrimaryKeySelective(Xdt record);

    int updateByPrimaryKey(Xdt record);

    int deleteByPrimaryKey(Xdt record);

    Xdt selectByPrimaryKey(Xdt record);

    Xdt selectByTypAndCurAndBegdatAndEnddat(Xdt record);

}
